%define kdename kuickshow
%define	version 0.6.7
%define release 5mdk
%define prefix /usr

Name: %{kdename}
Summary: Image viewer
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Group: Graphics
Copyright: GPL
BuildRoot: /var/tmp/%{name}-root
Requires: qt kdelibs imlib
Prefix: %{_prefix}

%description
Imlib based image viewer for the K Desktop Environment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
   ./configure --with-install-root=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
make prefix=$RPM_BUILD_ROOT/%{prefix} install

if [ -e $RPM_BUILD_ROOT/%{prefix}/share/doc ]; then
  mkdir -p $RPM_BUILD_ROOT/%{prefix}/doc
  mv $RPM_BUILD_ROOT/%{prefix}/share/doc $RPM_BUILD_ROOT/%{prefix}/doc/kde
fi

rm -rf $RPM_BUILD_ROOT/usr/share/applnk
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat <<EOF >$RPM_BUILD_ROOT/usr/lib/menu/%{name}
?package(%{name}):command="kuickshow" icon="kuickshow.xpm" needs="x11" section="Multimedia/Graphics" title="KuickShow" longtitle="KuickShow (A confortable image viewer)"
EOF

cd $RPM_BUILD_ROOT
echo '%defattr(-,root,root,0755)' > $RPM_BUILD_DIR/file.list.%{name}
echo '%docdir /usr/doc/kde' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../file.list.%{name}

%post
if [ -x /usr/bin/update-menus ]; then
	/usr/bin/update-menus
fi

%postun
if [ "$1" = 0 ]; then
	if [ -x /usr/bin/update-menus ]; then
		/usr/bin/update-menus
	fi
fi

%files -f ../file.list.%{name} 

%changelog
* Fri Mar 31 2000 Franois Pons <fpons@mandrakesoft.com> 0.6.7-5mdk
- updated Group.
- added menu entry.

* Mon Dec  6 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance
- Manually move documentation to /usr/doc/kde

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix wrong group
- Build for cooker

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- New RPM for 0.6.7

